#include <iostream>

using namespace std;

int main(){
    int a;
    int b;
    cin >> a;
    cin >> b;

    char matrica[a][b];

    for(int i = 0; i < a; i++){
        for (int j = 0; j< b; j++){
            cin >> matrica[i][j];
        }
    }

    cout << -1;
    return 0;
}